Bug 798945 - openstack-glance does not depend on MySQL-python since mysql is not the default backend
openstack-glance does not depend on MySQL-python since mysql is not the defau...
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: openstack-glance (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 05:56 EST by David Busby
Modified: 2016-01-04 09:42 EST (History)
9 users (show)

See Also:
Fixed In Version: 2015.1.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 15:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Busby 2012-03-01 05:56:28 EST
Swapped backend to mysql://... in /etc/glance/glance-registry.conf


glance-manage db_sync
Traceback (most recent call last):
  File "/usr/bin/glance-manage", line 144, in <module>
    main()
  File "/usr/bin/glance-manage", line 140, in main
    dispatch_cmd(options, args)
  File "/usr/bin/glance-manage", line 112, in dispatch_cmd
    cmd_func(options, args)
  File "/usr/bin/glance-manage", line 100, in do_db_sync
    glance.registry.db.migration.db_sync(options, version=db_version)
  File "/usr/lib/python2.6/site-packages/glance/registry/db/migration.py", line 119, in db_sync
    _version_control(options)
  File "/usr/lib/python2.6/site-packages/glance/registry/db/migration.py", line 108, in _version_control
    return versioning_api.version_control(sql_connection, repo_path)
  File "<string>", line 2, in version_control
  File "/usr/lib/python2.6/site-packages/migrate/versioning/util/__init__.py", line 156, in with_engine
    engine = construct_engine(url, **kw)
  File "/usr/lib/python2.6/site-packages/migrate/versioning/util/__init__.py", line 141, in construct_engine
    return create_engine(engine, **kwargs)
  File "/usr/lib64/python2.6/site-packages/SQLAlchemy-0.7.3-py2.6-linux-x86_64.egg/sqlalchemy/engine/__init__.py", line 280, in create_engine
    return strategy.create(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/SQLAlchemy-0.7.3-py2.6-linux-x86_64.egg/sqlalchemy/engine/strategies.py", line 64, in create
    dbapi = dialect_cls.dbapi(**dbapi_args)
  File "/usr/lib64/python2.6/site-packages/SQLAlchemy-0.7.3-py2.6-linux-x86_64.egg/sqlalchemy/connectors/mysqldb.py", line 52, in dbapi
    return __import__('MySQLdb')
ImportError: No module named MySQLdb


Resolution:

rpm spec should have MySQL-python as a requirement ?
Comment 1 Pádraig Brady 2012-03-01 06:14:33 EST
Yep nova has this dependency so I'll add that. cheers
Comment 2 Pádraig Brady 2012-03-01 11:05:07 EST
After further discussion, it was thought that this dependency might not be the correct thing to add. nova has this dependency currently so as to have a working default (sqlite was found to be unreliable with nova).

glance has not seen issues with sqlite though, so it should probably remain
the default. So then it's probably best not to add the mysql lib dependency.

What will probably be done, is to have a helper script akin to openstack-nova-db-setup. That can install the MYSQL-python and mysql-server (or the postgres equivalent if that option is passed).
Comment 3 Mark McLoughlin 2012-03-08 04:14:42 EST
How about we just switch to MySQL by default for everything?
Comment 4 David Busby 2012-03-08 04:21:51 EST
I second to defaulting to mySQL.
Comment 5 Fedora Update System 2015-08-21 10:21:28 EDT
openstack-heat-2015.1.1-1.fc23 openstack-ceilometer-2015.1.1-1.fc23 openstack-neutron-2015.1.1-1.fc23 openstack-ironic-2015.1.1-1.fc23 openstack-sahara-2015.1.1-1.fc23 openstack-cinder-2015.1.1-1.fc23 openstack-glance-2015.1.1-1.fc23 openstack-nova-2015.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=798945
Comment 6 Fedora Update System 2015-08-22 12:24:47 EDT
openstack-ceilometer-2015.1.1-1.fc23, openstack-cinder-2015.1.1-1.fc23, openstack-glance-2015.1.1-1.fc23, openstack-heat-2015.1.1-1.fc23, openstack-ironic-2015.1.1-1.fc23, openstack-neutron-2015.1.1-1.fc23, openstack-nova-2015.1.1-1.fc23, openstack-sahara-2015.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openstack-nova openstack-glance openstack-cinder openstack-sahara openstack-ironic openstack-neutron openstack-ceilometer openstack-heat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13914
Comment 7 Fedora Update System 2015-09-18 15:02:19 EDT
openstack-ceilometer-2015.1.1-1.fc23, openstack-cinder-2015.1.1-1.fc23, openstack-glance-2015.1.1-1.fc23, openstack-heat-2015.1.1-1.fc23, openstack-ironic-2015.1.1-1.fc23, openstack-neutron-2015.1.1-1.fc23, openstack-nova-2015.1.1-1.fc23, openstack-sahara-2015.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.